######
# Gruppenrichlinienimport paedML® Linux 6.0-errata3
######

# Laden des GPO-Moduls
import-module grouppolicy


###### Alte Gruppenrichtlinien deaktivieren
Write-Host "Deaktiviere bisherige Gruppenrichtlinien..." -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur alten Gruppenrichtlinie Musterloesung_Benutzer-Aprof entfernen
Write-Host "Deaktiviere bisherige Gruppenrichtlinie Musterloesung_Benutzer-Aprof" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Benutzer-Aprof" -Target "dc=paedml-linux,dc=lokal"
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-Aprof deaktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur alten Gruppenrichtlinie Musterloesung_Benutzer-NWB entfernen
Write-Host "Deaktiviere bisherige Gruppenrichtlinie Musterloesung_Benutzer-NWB" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Benutzer-NWB" -Target "OU=schule,dc=paedml-linux,dc=lokal"
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-NWB deaktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur alten Gruppenrichtlinie Musterloesung_Benutzer entfernen
Write-Host "Deaktiviere bisherige Gruppenrichtlinie Musterloesung_Benutzer" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Benutzer" -Target "OU=schule,dc=paedml-linux,dc=lokal"
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer deaktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur alten Gruppenrichtlinie Musterloesung_Computer entfernen
Write-Host "Deaktiviere bisherige Gruppenrichtlinie Musterloesung_Computer" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Computer" -Target "OU=schule,dc=paedml-linux,dc=lokal"
Write-Host "Gruppenrichtlinie Musterloesung_Computer deaktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur alten Gruppenrichtlinie Musterloesung_Klassenarbeit entfernen
Write-Host "Deaktiviere bisherige Gruppenrichtlinie Musterloesung_Klassenarbeit" -foregroundcolor green
Remove-GPLink -Name "Musterloesung_Klassenarbeit" -Target "OU=schule,dc=paedml-linux,dc=lokal"
Write-Host "Gruppenrichtlinie Musterloesung_Klassenarbeit deaktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Ende der Deaktivierung
Write-Host "" -foregroundcolor green
Write-Host "Deaktivierung der bisherigen Gruppenrichtlinien abgeschlossen. Bitte kontrollieren Sie ob Fehler aufgetreten sind (rote Ausgaben)." -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green



###### Alte Gruppenrichtlinien umbenennen
Write-Host "Benenne bisherige Gruppenrichtlinien um..." -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green

# Name der alten Gruppenrichtlinie Musterloesung_Benutzer-Aprof ändern
Write-Host "Aendere Namen der alten Gruppenrichtlinie Musterloesung_Benutzer-Aprof..." -foregroundcolor green
Rename-GPO -Name "Musterloesung_Benutzer-Aprof" -TargetName "Musterloesung_Benutzer-Aprof_Backup"
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-Aprof heißt nun Musterloesung_Benutzer-Aprof_Backup." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Name der alten Gruppenrichtlinie Musterloesung_Benutzer-NWB ändern
Write-Host "Aendere Namen der alten Gruppenrichtlinie Musterloesung_Benutzer-NWB..." -foregroundcolor green
Rename-GPO -Name "Musterloesung_Benutzer-NWB" -TargetName "Musterloesung_Benutzer-NWB_Backup"
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-NWB heißt nun Musterloesung_Benutzer-NWB_Backup." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Name der alten Gruppenrichtlinie Musterloesung_Benutzer ändern
Write-Host "Aendere Namen der alten Gruppenrichtlinie Musterloesung_Benutzer..." -foregroundcolor green
Rename-GPO -Name "Musterloesung_Benutzer" -TargetName "Musterloesung_Benutzer_Backup"
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer heißt nun Musterloesung_Benutzer_Backup." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Name der alten Gruppenrichtlinie Musterloesung_Computer ändern
Write-Host "Aendere Namen der alten Gruppenrichtlinie Musterloesung_Computer..." -foregroundcolor green
Rename-GPO -Name "Musterloesung_Computer" -TargetName "Musterloesung_Computer_Backup"
Write-Host "Gruppenrichtlinie Musterloesung_Computer heißt nun Musterloesung_Computer_Backup." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Name der alten Gruppenrichtlinie Musterloesung_Klassenarbeit ändern
Write-Host "Aendere Namen der alten Gruppenrichtlinie Musterloesung_Klassenarbeit..." -foregroundcolor green
Rename-GPO -Name "Musterloesung_Klassenarbeit" -TargetName "Musterloesung_Klassenarbeit_Backup"
Write-Host "Gruppenrichtlinie Musterloesung_Klassenarbeit heißt nun Musterloesung_Klassenarbeit_Backup." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Ende der Umbenennung
Write-Host "" -foregroundcolor green
Write-Host "Umbenennung der bisherigen Gruppenrichtlinien abgeschlossen. Bitte kontrollieren Sie ob Fehler aufgetreten sind (rote Ausgaben)." -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green




###### Neue Gruppenrichtlinien importieren und aktivieren
Write-Host "Starte Import der neuen Gruppenrichtlinien..." -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green

# Gruppenrichtlinie Klassenarbeit importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Klassenarbeit..." -foregroundcolor green
Import-GPO -BackupId 0B440D57-EAF9-49C7-B671-DDED6AC3209C -TargetName Musterloesung_Klassenarbeit -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata3\Gruppenrichtlinien
Write-Host "Gruppenrichtlinie Musterloesung_Klassenarbeit importiert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Sicherheitsfilter fuer Gruppenrichtlinie Klassenarbeit setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Klassenarbeit..." -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Klassenarbeit -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Klassenarbeit -Domain paedml-linux.lokal -TargetName "OUschule-Klassenarbeit" -TargetType Group -PermissionLevel GpoApply
Write-Host "Sicherheitsfilter fuer Gruppenrichtlinie Musterloesung_Klassenarbeit gesetzt." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur Gruppenrichtlinie Klassenarbeit erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Klassenarbeit..." -foregroundcolor green
New-GPLink -Name Musterloesung_Klassenarbeit -Order 3 -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes
Write-Host "Gruppenrichtlinie Musterloesung_Klassenarbeit aktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green


# Gruppenrichtlinie Computer importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Computer..." -foregroundcolor green
Import-GPO -BackupId 0F6CF258-07B4-4552-A752-F72A2723DB84 -TargetName Musterloesung_Computer -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata3\Gruppenrichtlinien
Write-Host "Gruppenrichtlinie Musterloesung_Computer importiert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Sicherheitsfilter fuer Gruppenrichtlinie Computer setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Computer..." -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Computer -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Computer -Domain paedml-linux.lokal -TargetName "OUschule-Windows-Edukativnetz" -TargetType Group -PermissionLevel GpoApply
Write-Host "Sicherheitsfilter fuer Gruppenrichtlinie Musterloesung_Computer gesetzt." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur Gruppenrichtlinie Computer erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Computer..." -foregroundcolor green
New-GPLink -Name Musterloesung_Computer -Order 4 -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes
Write-Host "Gruppenrichtlinie Musterloesung_Computer aktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green


# Gruppenrichtlinie Benutzer-NWB importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Benutzer-NWB..." -foregroundcolor green
Import-GPO -BackupId CC022C8E-AEA0-47C6-B37F-9FE9AB6E24EF -TargetName Musterloesung_Benutzer-NWB -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata3\Gruppenrichtlinien
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-NWB importiert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Sicherheitsfilter fuer Gruppenrichtlinie Benutzer-NWB setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Benutzer-NWB..." -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Benutzer-NWB -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Benutzer-NWB -Domain paedml-linux.lokal -TargetName "netzwerkberater" -TargetType User -PermissionLevel GpoApply
Write-Host "Sicherheitsfilter fuer Gruppenrichtlinie Musterloesung_Benutzer-NWB gesetzt." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur Gruppenrichtlinie Benutzer-NWB erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Benutzer-NWB..." -foregroundcolor green
New-GPLink -Name Musterloesung_Benutzer-NWB -Order 5 -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-NWB aktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green


# Gruppenrichtlinie Benutzer importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Benutzer..." -foregroundcolor green
Import-GPO -BackupId 5773C4FE-E0F6-484C-9539-60C4283D3EEF -TargetName Musterloesung_Benutzer -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata3\Gruppenrichtlinien
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer importiert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Sicherheitsfilter fuer Gruppenrichtlinie Benutzer setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Benutzer..." -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Benutzer -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Benutzer -Domain paedml-linux.lokal -TargetName "schueler-schule" -TargetType Group -PermissionLevel GpoApply
Set-GPPermissions -Name Musterloesung_Benutzer -Domain paedml-linux.lokal -TargetName "lehrer-schule" -TargetType Group -PermissionLevel GpoApply
Write-Host "Sicherheitsfilter fuer Gruppenrichtlinie Musterloesung_Benutzer gesetzt." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur Gruppenrichtlinie Benutzer erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Benutzer..." -foregroundcolor green
New-GPLink -Name Musterloesung_Benutzer -Order 6 -Target "OU=schule,dc=paedml-linux,dc=lokal" -LinkEnabled Yes
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer aktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green


# Gruppenrichtlinie Benutzer-Aprof importieren
Write-Host "Importiere Gruppenrichtlinie Musterloesung_Benutzer-Aprof..." -foregroundcolor green
Import-GPO -BackupId 90ED6885-F358-406E-A321-F80D8FD53746 -TargetName Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -CreateIfNeeded -Path H:\Errata3\Gruppenrichtlinien
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-Aprof importiert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Sicherheitsfilter fuer Gruppenrichtlinie Benutzer-Aprof setzen
Write-Host "Passe Sicherheitsfilter an fuer Gruppenrichtlinie Musterloesung_Benutzer-Aprof..." -foregroundcolor green
Set-GPPermissions -Name Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -TargetName "Authenticated Users" -TargetType Group -PermissionLevel None -Replace
Set-GPPermissions -Name Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -TargetName "aproflehrer" -TargetType User -PermissionLevel GpoApply
Set-GPPermissions -Name Musterloesung_Benutzer-Aprof -Domain paedml-linux.lokal -TargetName "aprofschueler" -TargetType User -PermissionLevel GpoApply
Write-Host "Sicherheitsfilter fuer Gruppenrichtlinie Musterloesung_Benutzer-Aprof gesetzt." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Link zur Gruppenrichtlinie Benutzer-Aprof erstellen
Write-Host "Aktiviere Gruppenrichtlinie Musterloesung_Benutzer-Aprof..." -foregroundcolor green
New-GPLink -Name Musterloesung_Benutzer-Aprof -Target "dc=paedml-linux,dc=lokal" -LinkEnabled Yes
Write-Host "Gruppenrichtlinie Musterloesung_Benutzer-Aprof aktiviert." -foregroundcolor green
Write-Host "" -foregroundcolor green

# Ende des Imports
Write-Host "" -foregroundcolor green
Write-Host "" -foregroundcolor green
Write-Host "Import der Gruppenrichtlinien abgeschlossen. Bitte kontrollieren Sie ob Fehler aufgetreten sind (rote Ausgaben)." -foregroundcolor green
Write-Host "" -foregroundcolor green


Read-Host
