'**********************************************************************************************
'Peter Klein, LMZ-BW, 16.12.2013
'Erzeugung Desktop-Verknpfungen
'z.B. Verknpfung Schulkonsole fr Lehrer
'oder hnliches
'**********************************************************************************************

Main

Sub Main()
	
	if IsLehrer() then 'Desktop-Links nur fr Lehrer

		CreateShortcut "Schulkonsole.lnk", "https://server.paedml-linux.lokal/univention-management-console/?lang=de-DE", "\\server\netlogon\lmz.ico" 

	end if


	if IsSchueler() then 'Desktop-Links nur fr Schler

		CreateShortcut "MSPaint.lnk", "c:\windows\system32\mspaint.exe", "c:\windows\system32\mspaint.exe" 

	end if

	'Desktop-Links fr alle
	'CreateShortcut "Schulkonsole.lnk", "https://server.paedml-linux.lokal/univention-management-console/?lang=de-DE", "\\server\netlogon\lmz.ico" 
	
End Sub

Sub CreateShortcut(LinkName, URL, IconLocation)
	Set WshShell = CreateObject("WScript.Shell")
	'Desktop  = WshShell.SpecialFolders("AllUsersDesktop")
	Desktop  = WshShell.SpecialFolders("Desktop")
	Set scut = WshShell.CreateShortcut(Desktop & "\" & LinkName)
	scut.TargetPath = URL
	scut.IconLocation = IconLocation
	scut.Save
	
	'Programs = WshShell.SpecialFolders("AllUsersPrograms")
	'Set scut = WshShell.CreateShortcut(Programs & "\" & LinkName)
	'scut.TargetPath = URL
	'scut.IconLocation = IconLocation
	'scut.Save
End Sub


Function IsLehrer()
	IsLehrer = False
	Set SysInfo = CreateObject("ADSystemInfo")
	LehrerCN = Split(SysInfo.userName, ",")(1)
	If LCase(LehrerCN) = "cn=lehrer"   Then IsLehrer = True
End Function

Function IsSchueler()
	IsSchueler = False
	Set SysInfo = CreateObject("ADSystemInfo")
	SchuelerCN = Split(SysInfo.userName, ",")(1)
	If LCase(SchuelerCN) = "cn=schueler" Then IsSchueler = True
End Function